slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPAppendOptionsPrefix

Appends to the prefix used for searching for all PEP options in the database.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPAppendOptionsPrefix(PEP pep,const char *prefix)

Logically Collective

### Input Parameters

| pep | - the polynomial eigensolver context
| prefix | - the prefix string to prepend to all PEP option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

PEPSetOptionsPrefix(), PEPGetOptionsPrefix()

### Level

advanced

### Location

src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages